'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));

const [useIdentityContext, IdentityContextProvider, IdentityContext] = createUsableCtx();
const SettingContext = React.createContext(null);
const [FormStateContext, FormStateContextProvider] = createMutableCtx("login");
// utils
function createMutableCtx(defaultValue) {
    const defaultUpdate = () => defaultValue;
    const ctx = React.createContext({ state: defaultValue, update: defaultUpdate });
    function Provider(props) {
        const [state, update] = React.useState(defaultValue);
        return React.createElement(ctx.Provider, Object.assign({ value: { state, update } }, props));
    }
    return [ctx, Provider];
}
function createUsableCtx() {
    const ctx = React.createContext(undefined);
    function useCtx() {
        const c = React.useContext(ctx);
        if (!c)
            throw new Error("useCtx must be inside a Provider with a value");
        return c;
    }
    return [useCtx, ctx.Provider, ctx];
}

exports.FormStateContextProvider = FormStateContextProvider;
exports.IdentityContext = IdentityContext;
exports.IdentityContextProvider = IdentityContextProvider;
exports.SettingContext = SettingContext;
exports.useIdentityContext = useIdentityContext;
//# sourceMappingURL=chunk-0a76e4bb.js.map
